title: Dev Login keywords: - dev login - post - dev - login # Dev Login Development login (bypass email verification). #### Request Body **`email_or_username`** string required Email address or username **`password`** string required User password **`device_information`** DeviceInformation optional Device tracking information ## Returns **`refresh_token`** string Refresh token **`access_token`** string Access Token **`token_type`** string Token Type **`expires_in`** integer Expires In **`device_id`** string or null Device Id **`user`** object User Example ```bash cURL curl -X POST "https://api.aitronos.com/v1/auth/dev-login" \ -H "X-API-Key: $FREDDY_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "email_or_username": "your_email_or_username", "password": "your_password" }' ``` ```python Python import os import requests api_key = os.environ["FREDDY_API_KEY"] response = requests.post( "https://api.aitronos.com/v1/auth/dev-login", headers={"X-API-Key": api_key}, json={'email_or_username': 'your_email_or_username', 'password': 'your_password'} ) print(response.json()) ``` ```javascript JavaScript const apiKey = process.env.FREDDY_API_KEY; const response = await fetch('https://api.aitronos.com/v1/auth/dev-login', { method: 'POST', headers: { 'X-API-Key': apiKey, 'Content-Type': 'application/json' }, body: JSON.stringify({"email_or_username": "your_email_or_username", "password": "your_password"}) }); const data = await response.json(); console.log(data); ``` **Response:** ```json 200 OK { "refresh_token": "eyJhbGciOiJIUzI1NiIs...", "access_token": "eyJhbGciOiJIUzI1NiIs...", "token_type": "default", "expires_in": 1, "device_id": "abc123def456", "user": {} } ``` Errors ```json 401 Unauthorized { "success": false, "error": { "code": "AUTHENTICATION_REQUIRED", "message": "Authentication required. Please provide a valid API key.", "system_message": "Missing or invalid authorization header", "type": "authentication_error", "status": 401, "trace_id": "req_abc123xyz", "timestamp": "2025-11-11T10:30:00Z", "details": {} } } ``` ```json 403 Forbidden { "success": false, "error": { "code": "INSUFFICIENT_PERMISSIONS", "message": "You do not have permission to access this resource.", "system_message": "Insufficient permissions for this operation", "type": "authorization_error", "status": 403, "trace_id": "req_def456uvw", "timestamp": "2025-11-11T10:30:00Z", "details": {} } } ``` ## Related Resources - [Authentication Overview](/docs/documentation/authentication)